<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter : validationService (AbstractValidationServiceConf) -->
    <g:column filterEvent="onkeyup" filterBy="#{name}" sortBy="#{name}">
        <ui:define name="header">#{messages['gazelle.evs.client.Name']}</ui:define>
        <h:outputText value="#{validationService.name}"/>
    </g:column>
    <g:column filterEvent="onkeyup" filterBy="#{serviceType}">
        <ui:define name="header">#{messages['net.ihe.gazelle.evs.ValidationServiceType']}</ui:define>
        <h:outputText value="#{referencedStandardBeanGui.getServiceType(validationService)}"/>
    </g:column>
    <g:column filterEvent="onkeyup" filterBy="#{description}" sortBy="#{description}">
        <ui:define name="header">#{messages['gazelle.evs.client.Description']}</ui:define>
        <span>
            <g:safehtml value="#{validationService.description}"/>
        </span>
    </g:column>
    <g:column filterEvent="onkeyup" filterBy="#{available}">
        <ui:define name="header">#{messages['gazelle.evs.client.Available']}</ui:define>
        <h:outputText value="#{validationService.available}"/>
    </g:column>
</ui:composition>
